digiKam Developer Documentation: Digikam::DTrash Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Static Public Member Functions | Static Public Attributes | List of all members
Digikam::DTrash Class Reference

## Static Public Member Functions
static bool | deleteDirRecursivley (const QString &dirToDelete, const QDateTime &deleteTime)
| Deletes a whole folder from the collection.
static bool | deleteImage (const QString &imagePath, const QDateTime &deleteTime)
| Deletes image to the trash of a particular collection.
static void | extractJsonForItem (const QString &collPath, const QString &baseName, DTrashItemInfo &itemInfo)
| Extracts the data from json file and gives it to DTrashItemInfo.

## Static Public Attributes
static const QString | DELETIONTIMESTAMP_JSON_KEY = QLatin1String("deletiontimestamp")
static const QString | FILES_FOLDER = QLatin1String("files")
static const QString | IMAGEID_JSON_KEY = QLatin1String("imageid")
static const QString | INFO_FILE_EXTENSION = QLatin1String(".dtrashinfo")
static const QString | INFO_FOLDER = QLatin1String("info")
static const QString | PATH_JSON_KEY = QLatin1String("path")
static const QString | TRASH_FOLDER = QLatin1String(".dtrash")

## Member Function Documentation

## ◆ deleteDirRecursivley()

bool Digikam::DTrash::deleteDirRecursivley | ( | const QString & | dirToDelete,
|  | const QDateTime & | deleteTime
| ) |  |
| static

Parameters

  dirToDelete | path to folder
  deleteTime | delete time from the image

Returns
  true if folder was deleted

## ◆ deleteImage()

bool Digikam::DTrash::deleteImage | ( | const QString & | imagePath,
|  | const QDateTime & | deleteTime
| ) |  |
| static

Parameters

  imagePath | path to image
  deleteTime | delete time from the image

Returns
  true if the image was deleted

## ◆ extractJsonForItem()

void Digikam::DTrash::extractJsonForItem | ( | const QString & | collPath,
|  | const QString & | baseName,
|  | DTrashItemInfo & | itemInfo
| ) |  |
| static

Parameters

  collPath | path to collection
  baseName | name of the file inside the trash
  itemInfo | item to extract data to it